Groovy Documentation

## org.codehaus.groovy.grails.test.junit4.listener
[Groovy] Class SuiteRunListener

    java.lang.Object
      org.junit.runner.notification.RunListener
          org.codehaus.groovy.grails.test.junit4.listener.SuiteRunListener

    class SuiteRunListener
    extends RunListener

Listens in on the execution of an entire test suite (or test "type" in Grails) and creates new TestRunListeners for each actual test class.

Constructor Summary
`SuiteRunListener(GrailsTestEventPublisher eventPublisher, JUnitReportsFactory reportsFactory, SystemOutAndErrSwapper outAndErrSwapper)`

Method Summary
`void` | `testAssumptionFailure(Failure failure)`
`void` | `testFailure(Failure failure)`
`void` | `testFinished(Description description)`
`void` | `testIgnored(Description description)`
`void` | `testRunFinished(Result result)`
`void` | `testRunStarted(Description description)`
`void` | `testStarted(Description description)`

Constructor Detail

### SuiteRunListener

    SuiteRunListener(GrailsTestEventPublisher eventPublisher, JUnitReportsFactory reportsFactory, SystemOutAndErrSwapper outAndErrSwapper)

Method Detail

### testAssumptionFailure

    void testAssumptionFailure(Failure failure)

### testFailure

    void testFailure(Failure failure)

### testFinished

    void testFinished(Description description)

### testIgnored

    void testIgnored(Description description)

### testRunFinished

    void testRunFinished(Result result)

### testRunStarted

    void testRunStarted(Description description)

### testStarted

    void testStarted(Description description)

Groovy Documentation